Bug 10653 - Samba won't start on a machine configured with only IPv4.
Samba won't start on a machine configured with only IPv4.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-07 00:50 UTC by Jeremy Allison
Modified: 2014-07-17 18:34 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.1.next (6.30 KB, patch)
2014-06-07 04:47 UTC, Jeremy Allison
ab: review+
jra: review? (amitay)
Details
git-am fix for 4.0.next (5.88 KB, patch)
2014-06-10 18:06 UTC, Jeremy Allison
ab: review+
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2014-06-07 00:50:24 UTC
If Samba detects IPv6 at configure time when the binaries are produced, it expects to be able to bind to addresses :: and 0.0.0.0. On a machine with IPv6 disabled, it then refuses to start.

Reported by Amitay Isaacs <amitay@gmail.com>.

Patch that went into master to follow.

Jeremy.
Comment 1 Jeremy Allison 2014-06-07 04:47:31 UTC
Created attachment 10011 [details]
git-am fix for 4.1.next

Patch for 4.1.next, cherry-picked from master with bug info added.

Jeremy.
Comment 2 Alexander Bokovoy 2014-06-08 12:29:32 UTC
Comment on attachment 10011 [details]
git-am fix for 4.1.next

looks good!
Comment 3 Jeremy Allison 2014-06-08 22:42:41 UTC
Re-assigning to Karolin for inclusion in 4.1.next.

Jeremy.
Comment 4 Amitay Isaacs 2014-06-10 02:05:41 UTC
Do we need the fix for 4.0 also?
Comment 5 Jeremy Allison 2014-06-10 17:39:15 UTC
Ah, thought you said it worked on 4.0.x. I'll add a back-port.

Jeremy.
Comment 6 Jeremy Allison 2014-06-10 18:06:01 UTC
Created attachment 10019 [details]
git-am fix for 4.0.next

Back-port to 4.0.next.
Comment 7 Amitay Isaacs 2014-06-11 05:30:26 UTC
It was working till 4.0.16, but not working in 4.0.18.  Looking at the patches, it looks like it got broken in 4.0.17.
Comment 8 Alexander Bokovoy 2014-06-11 10:55:35 UTC
Comment on attachment 10019 [details]
git-am fix for 4.0.next

looks good for me.
Comment 9 Jeremy Allison 2014-06-11 16:12:54 UTC
Karolin, these look good to go for 4.1.next, 4.0.next.

Thanks !

Jeremy.
Comment 10 Amitay Isaacs 2014-06-26 01:16:54 UTC
Looks like the fix for this bug didn't make it in 4.0.19.
Comment 11 Karolin Seeger 2014-06-27 06:36:19 UTC
(In reply to comment #10)
> Looks like the fix for this bug didn't make it in 4.0.19.

4.0.19 was a security release including only the security fixes. The patch will be included in the next bugfix release.
Comment 12 Karolin Seeger 2014-07-01 07:20:10 UTC
(In reply to comment #9)
> Karolin, these look good to go for 4.1.next, 4.0.next.
> 
> Thanks !
> 
> Jeremy.

Pushed to autobuild-v4-[0|1]-test.
Comment 13 Karolin Seeger 2014-07-17 18:34:18 UTC
Pushed to v4-[0|1]-test.
Closing out bug report.

Thanks!